summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorGeorgy Yakovlev <gyakovlev@gentoo.org>2021-07-03 13:28:42 -0700
committerGeorgy Yakovlev <gyakovlev@gentoo.org>2021-07-03 13:30:27 -0700
commitced91dd3aab5ae9a21c7d0cc509e0e62c1c509ea (patch)
treeb4b93a581c368fa152333c8ff4c0740b19785a3d /dev-lang/typescript/typescript-4.3.5.ebuild
parentx11-misc/xclip: co-maintain (diff)
downloadgentoo-ced91dd3aab5ae9a21c7d0cc509e0e62c1c509ea.tar.gz
gentoo-ced91dd3aab5ae9a21c7d0cc509e0e62c1c509ea.tar.bz2
gentoo-ced91dd3aab5ae9a21c7d0cc509e0e62c1c509ea.zip
dev-lang/typescript: add 4.3.5
Signed-off-by: Georgy Yakovlev <gyakovlev@gentoo.org>
Diffstat (limited to 'dev-lang/typescript/typescript-4.3.5.ebuild')
-rw-r--r--dev-lang/typescript/typescript-4.3.5.ebuild39
1 files changed, 39 insertions, 0 deletions
diff --git a/dev-lang/typescript/typescript-4.3.5.ebuild b/dev-lang/typescript/typescript-4.3.5.ebuild
new file mode 100644
index 00000000000..dcbc71b38d8
--- /dev/null
+++ b/dev-lang/typescript/typescript-4.3.5.ebuild
@@ -0,0 +1,39 @@
+# Copyright 2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DESCRIPTION="Superset of JavaScript with optional static typing, classes and interfaces"
+HOMEPAGE="https://www.typescriptlang.org"
+SRC_URI="https://registry.npmjs.org/${PN}/-/${P}.tgz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~ppc64"
+
+DEPEND=""
+RDEPEND="net-libs/nodejs"
+BDEPEND=">=net-libs/nodejs-16[npm]"
+
+S="${WORKDIR}/package"
+
+src_compile() {
+ # nothing to compile here
+ :
+}
+
+src_install() {
+ npm \
+ --audit false \
+ --color false \
+ --foreground-scripts \
+ --global \
+ --offline \
+ --omit dev \
+ --prefix "${ED}"/usr \
+ --progress false \
+ --verbose \
+ install "${DISTDIR}/${P}".tgz || die "npm install failed"
+
+ einstalldocs
+}